import logging
from typing import Dict, Any
from pyspark.sql import SparkSession, DataFrame
from prefect import flow, task

from Input.Source import Input

logger = logging.getLogger()


class Process:

    def __init__(self, config: Dict[str, Any]) -> None:
        self.conf = config
        self.identifier = self.conf["identifier"]
        self.session = None

        self.inputs = {}


    def init(self) -> None:
        self._createSession()

    def get_inputs(self) -> None:
        try:
            pass
        except Exception as e:
            raise AssertionError(f"Error in function 'get_inputs'. {e}")


    def run(self) -> None:
        # Get inputs
        self.get_inputs()
