import time
import json
import logging
from typing import Any, Dict

from prefect import flow


logger = logging.getLogger()


@flow()
def run_commission(config: Dict[str, Any]) -> None:
    start_time = time.time()

    logger.info(f"Duración de ejecución del proceso de liquidación: {start_time - time.time()}")


if __name__ == "__main__":

    conf_path = "config.json"
    with open(conf_path) as f:
        conf = json.load(f)

    # Run Commission
    run_commission(conf)


